## hx 25.01.1

=== debian/changelog ===
hx (25.01.1-4) unstable; urgency=medium

  * add patch 1003
    to use portable-atomic for Debian 32-bit arm support

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Mar 2025 15:56:15 +0100

hx (25.01.1-3) unstable; urgency=medium

  * update patches;
    bump build-dependencies for crate gix
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Mar 2025 22:15:49 +0100

hx (25.01.1-2) experimental; urgency=medium

  * update and unfuzz patches
  * bump build-dependencies for crate gix

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Feb 2025 20:23:16 +0100

hx (25.01.1-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * tune build flags for hardening and speed
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Jan 2025 12:19:38 +0100

hx (25.01-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: track release tags (not git commits)
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Jan 2025 13:07:26 +0100

hx (24.07+20241227-1) experimental; urgency=low

  * initial Release;
    closes: Bug#1024683

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Dec 2024 02:39:43 +0100
