=== debian/control ===
Source: hx
Section: editors
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-bash-completion,
 dh-sequence-rust,
 help2man <!nodoc>,
 librust-ahash-0.8+default-dev,
 librust-anyhow-1+default-dev,
 librust-arc-swap-1+default-dev,
 librust-bitflags-2+default-dev,
 librust-cassowary-0.3+default-dev,
 librust-cc-1+default-dev,
 librust-chardetng-0.1+default-dev,
 librust-chrono-0.4+alloc-dev,
 librust-chrono-0.4+clock-dev,
 librust-chrono-0.4+std-dev,
 librust-content-inspector-0.2+default-dev,
 librust-crossterm-dev (<< 0.29),
 librust-dunce-1+default-dev,
 librust-encoding-rs-0.8+default-dev,
 librust-etcetera-0.8+default-dev,
 librust-fern-dev (<< 0.8),
 librust-futures-executor-0.3+default-dev,
 librust-futures-util-0.3+std-dev,
 librust-futures-util-0.3+async-await-dev,
 librust-fuzzy-matcher-0.3+default-dev,
 librust-gix-0.69+attributes-dev,
 librust-gix-0.69+status-dev,
 librust-grep-regex-0.1+default-dev,
 librust-grep-searcher-0.1+default-dev,
 librust-hashbrown-0.14+default-dev,
 librust-hashbrown-0.14+raw-dev,
 librust-ignore-0.4+default-dev,
 librust-imara-diff-0.1+default-dev,
 librust-indoc-2+default-dev,
 librust-is-wsl-0.4+default-dev,
 librust-libc-0.2+default-dev,
 librust-libloading-0.8+default-dev,
 librust-log-0.4+default-dev,
 librust-once-cell-1+default-dev,
 librust-open-5+default-dev,
 librust-nucleo-0.5+default-dev,
 librust-parking-lot-0.12+default-dev,
 librust-pulldown-cmark-dev (>= 0.10),
 librust-quickcheck-1-dev,
 librust-regex-1+default-dev,
 librust-regex-cursor-0.1+default-dev,
 librust-ropey-1+simd-dev,
 librust-rustix-0.38+default-dev,
 librust-rustix-0.38+fs-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-repr-dev,
 librust-signal-hook-0.3+default-dev,
 librust-signal-hook-tokio+futures-v0-3-dev,
 librust-slotmap-1+default-dev,
 librust-smallvec-1+default-dev,
 librust-smartstring-1+default-dev,
 librust-str-indices-0.4-dev,
 librust-tempfile-3+default-dev,
 librust-termini-1+default-dev,
 librust-textwrap-0.16+default-dev,
 librust-threadpool-1+default-dev,
 librust-thiserror-dev (<< 3),
 librust-tokio-1+default-dev,
 librust-tokio-1+fs-dev,
 librust-tokio-1+io-std-dev,
 librust-tokio-1+io-util-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+parking-lot-dev,
 librust-tokio-1+process-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+rt-multi-thread-dev,
 librust-tokio-1+sync-dev,
 librust-tokio-1+time-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-toml-0.8+default-dev,
 librust-tree-sitter-0.22+default-dev,
 librust-url-2+default-dev,
 librust-unicode-general-category-dev (<< 2),
 librust-unicode-segmentation-1+default-dev,
 librust-unicode-width-0.1+default-dev,
 librust-which-dev (<< 8),
Standards-Version: 4.7.2
Homepage: https://helix-editor.com/
Vcs-Git: https://salsa.debian.org/debian/helix.git
Vcs-Browser: https://salsa.debian.org/debian/helix
Rules-Requires-Root: no

Package: hx
Architecture: any
X-Cargo-Crates:
 helix-term,
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 g++,
Suggests:
 bash-completion,
 clangd,
 delve,
 dhall,
 elan,
 elvish,
 fortran-language-server,
 gopls,
 lldb,
 perlnavigator,
 python3-pylsp,
 qt6-declarative-dev-tools,
Provides:
 editor,
Description: modal CLI text editor Helix
 Helix (hx) is a text editor
 with a modal user interface.
 It aims to be more efficient than Vim and Neovim,
 by implementing select modern features in the core
 and omitting a plugin system.
 .
 Features:
  * Vim-like modal editing
  * Multiple selections (inspired by Kakoune)
  * Built-in language server support (LSP)
  * Smart, incremental syntax highlighting and code editing
    (via tree-sitter)
