## hx 25.01.1+20250505

=== debian/changelog ===
hx (25.01.1+20250505-3) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 10:50:10 +0200

hx (25.01.1+20250505-2) experimental; urgency=medium

  * suggest texlab
  * relax patch 2002_which to accept newer (not only older) release;
    relax build-dependency on package for crate which;
    closes: bug#1109550, thanks to Matthias Geiger

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Jul 2025 12:21:36 +0200

hx (25.01.1+20250505-1) experimental; urgency=medium

  [ upstream ]
  * development snapshot;
    highlights:
    + fix panic when pressing * after the end of the file
    + add file explorer
    + support specifying custom lang server(s)
      for :lsp-stop and :lsp-restart
    + fix goto_file_impl use of slice (not byte_slice)
    + prevent auto-format in auto-save
    + support EditorConfig
    + gracefully handle partial failures in multi-server LSP requests
    + avoid removing modified documents in Editor::close_document
    + add ConsoleOnly to desktop entry categories
    + add ! alias for sh and | for pipe
    + add/imporve support for many languages

  [ Jonas Smedegaard ]
  * set HELIX_DEFAULT_RUNTIME to /usr/lib/hx/runtime
  * drop unused duplicate patch
  * drop patch 2002_url, obsoleted by debian package changes
  * update Vcs-* fields;
    closes: bug#1102355, thanks to Bastian Germann
  * update and unfuzz patches
  * install completion script for fish;
    closes: bug#1104673, thanks to Sylvain Terrien
  * build-depend on packages
    for crates foldhash indexmap (not serde_repr)
  * update copyright info: update coverage
  * set Static-Built-Using
  * suggest blueprint-compiler fish just ocaml-dune racket r-base-core
    ruff rust-analyzer swiftlang swi-prolog-core txtpbfmt

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 May 2025 14:42:29 +0200
