=== debian/control ===
--- 
+++ 
@@ -23,9 +23,10 @@
  librust-encoding-rs-0.8+default-dev,
  librust-etcetera-0.8+default-dev,
  librust-fern-dev (<< 0.8),
+ librust-foldhash-0.1+default-dev,
  librust-futures-executor-0.3+default-dev,
+ librust-futures-util-0.3+async-await-dev,
  librust-futures-util-0.3+std-dev,
- librust-futures-util-0.3+async-await-dev,
  librust-fuzzy-matcher-0.3+default-dev,
  librust-gix-0.69+attributes-dev,
  librust-gix-0.69+status-dev,
@@ -35,14 +36,15 @@
  librust-hashbrown-0.14+raw-dev,
  librust-ignore-0.4+default-dev,
  librust-imara-diff-0.1+default-dev,
+ librust-indexmap-2+default-dev,
  librust-indoc-2+default-dev,
  librust-is-wsl-0.4+default-dev,
  librust-libc-0.2+default-dev,
  librust-libloading-0.8+default-dev,
  librust-log-0.4+default-dev,
+ librust-nucleo-0.5+default-dev,
  librust-once-cell-1+default-dev,
  librust-open-5+default-dev,
- librust-nucleo-0.5+default-dev,
  librust-parking-lot-0.12+default-dev,
  librust-pulldown-cmark-dev (>= 0.10),
  librust-quickcheck-1-dev,
@@ -54,7 +56,6 @@
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
- librust-serde-repr-dev,
  librust-signal-hook-0.3+default-dev,
  librust-signal-hook-tokio+futures-v0-3-dev,
  librust-slotmap-1+default-dev,
@@ -64,8 +65,8 @@
  librust-tempfile-3+default-dev,
  librust-termini-1+default-dev,
  librust-textwrap-0.16+default-dev,
+ librust-thiserror-dev (<< 3),
  librust-threadpool-1+default-dev,
- librust-thiserror-dev (<< 3),
  librust-tokio-1+default-dev,
  librust-tokio-1+fs-dev,
  librust-tokio-1+io-std-dev,
@@ -81,15 +82,15 @@
  librust-tokio-stream-0.1+default-dev,
  librust-toml-0.8+default-dev,
  librust-tree-sitter-0.22+default-dev,
- librust-url-2+default-dev,
  librust-unicode-general-category-dev (<< 2),
  librust-unicode-segmentation-1+default-dev,
  librust-unicode-width-0.1+default-dev,
- librust-which-dev (<< 8),
+ librust-url-2+default-dev,
+ librust-which-dev (<< 9),
 Standards-Version: 4.7.2
 Homepage: https://helix-editor.com/
-Vcs-Git: https://salsa.debian.org/debian/helix.git
-Vcs-Browser: https://salsa.debian.org/debian/helix
+Vcs-Git: https://salsa.debian.org/debian/hx.git
+Vcs-Browser: https://salsa.debian.org/debian/hx
 Rules-Requires-Root: no
 
 Package: hx
@@ -100,22 +101,39 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- g++,
+# needed for `hx -g build`, see bug#1100003
+ g++ | clang,
+# needed for `hx -g fetch`, see bug#1100003
+ git,
 Suggests:
  bash-completion,
+ blueprint-compiler,
  clangd,
  delve,
  dhall,
  elan,
  elvish,
+ fish,
  fortran-language-server,
  gopls,
+ just,
  lldb,
+ ocaml-dune,
  perlnavigator,
  python3-pylsp,
  qt6-declarative-dev-tools,
+ r-base-core,
+ racket,
+ ruff,
+ rust-analyzer,
+ swi-prolog-core,
+ swiftlang,
+ texlab,
+ txtpbfmt,
 Provides:
  editor,
+Static-Built-Using:
+ ${cargo:Static-Built-Using},
 Description: modal CLI text editor Helix
  Helix (hx) is a text editor
  with a modal user interface.
