=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,8 @@
 export RUSTFLAGS = -C lto -C codegen-units=1
 endif
 
+export HELIX_DEFAULT_RUNTIME = /usr/lib/hx/runtime
+
 # avoid network during build
 export HELIX_DISABLE_AUTO_GRAMMAR_BUILD = 1
