## hx 25.07.1+~0.3.0+20250717

=== debian/changelog ===
hx (25.07.1+~0.3.0+20250717-5) unstable; urgency=medium

  * tighten build-dependencies for crates foldhash hashbrown

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2025 23:03:58 +0200

hx (25.07.1+~0.3.0+20250717-4) unstable; urgency=medium

  * add patches 1001_foldhash 1001_hashbrown
    to accept newer minor versions of crates foldhash hashbrown;
    relax build-dependencies for crates foldhash hashbrown

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2025 01:43:27 +0200

hx (25.07.1+~0.3.0+20250717-3) unstable; urgency=medium

  * drop patches 2002_etcetera 2002_indexmap,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate etcetera
  * stop build-depend on package for crate tree-sitter

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Oct 2025 22:31:38 +0200

hx (25.07.1+~0.3.0+20250717-2) unstable; urgency=medium

  * drop patches 2002_globset 2002_indoc 2002_open 2002_pulldown-cmark
    2002_rustix 2002_textwrap,
    obsoleted by Debian packaging changes;
    fix build-depend on package for crate globset;
    bump build-dependency for crate rustix;
    tighten build-dependencies for crates etcetera pulldown-cmark

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Oct 2025 09:37:31 +0200

hx (25.07.1+~0.3.0+20250717-1) unstable; urgency=medium

  [ upstream ]
  * new release;
    closes: bug#1109397, thanks to Leo Unglaub
    + fixes swatch code compilation on 32-bit machines;
      closes: bug#1111814, thanks to Bastian Germann

  [ Jonas Smedegaard ]
  * track and embed crate tree-house
  * update and unfuzz patches
  * set XDG_CACHE_HOME to a dummy value to make build reproducible;
    closes: bug#1100016, thanks to Chris Lamb and Sylvain Terrien
  * drop patch 2002_regex-cursor;
    tighten build-dependency for crate regex-cursor
  * build-depend on packages for crates
    indicatif kstring pretty-assertions ruzstd sha1 slab walkdir;
    tighten build-dependencies for crates
    once_cell thiserror unicode-general-category which;
    stop build-depend on package for crate ahash
  * build-depend on libstd-rust-dev
  * update watch file: use file format 5
  * update DEP-3 patch headers
  * add metadata about upstream project
  * update source helper script copyright-check
    to omit Zstandard compressed test data
  * update copyright info: update coverage
  * drop patch 2005, obsoleted by upstream changes
  * drop patch 2002_once_cell, obsoleted by Debian packaging changes
  * update DEP-3 patch headers
  * bump and relax build-dependency for crate hashbrown
  * add patch 2005
    to have tree-house-bindings crate signal its licensing constraints

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Sep 2025 23:19:49 +0200

hx (25.01.1+20250505-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix type mismatch on 32 bit (Closes: #1111814)
  * d/copyright: List the correct BSD-3-clause version (Closes: #1102356)

 -- Bastian Germann <bage@debian.org>  Tue, 02 Sep 2025 12:41:00 +0200
