=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  dh-sequence-bash-completion,
  dh-sequence-rust,
  help2man <!nodoc>,
- librust-ahash-0.8+default-dev,
  librust-anyhow-1+default-dev,
  librust-arc-swap-1+default-dev,
  librust-bitflags-2+default-dev,
@@ -21,43 +20,51 @@
  librust-crossterm-dev (<< 0.29),
  librust-dunce-1+default-dev,
  librust-encoding-rs-0.8+default-dev,
- librust-etcetera-0.8+default-dev,
+ librust-etcetera-0.10+default-dev,
  librust-fern-dev (<< 0.8),
- librust-foldhash-0.1+default-dev,
+ librust-foldhash-0.2+default-dev,
  librust-futures-executor-0.3+default-dev,
  librust-futures-util-0.3+async-await-dev,
  librust-futures-util-0.3+std-dev,
  librust-fuzzy-matcher-0.3+default-dev,
  librust-gix-0.69+attributes-dev,
  librust-gix-0.69+status-dev,
+ librust-globset-0.4+default-dev,
  librust-grep-regex-0.1+default-dev,
  librust-grep-searcher-0.1+default-dev,
- librust-hashbrown-0.14+default-dev,
- librust-hashbrown-0.14+raw-dev,
+ librust-hashbrown-0.16+default-dev,
  librust-ignore-0.4+default-dev,
  librust-imara-diff-0.1+default-dev,
  librust-indexmap-2+default-dev,
+ librust-indicatif-0.17+default-dev,
  librust-indoc-2+default-dev,
  librust-is-wsl-0.4+default-dev,
+ librust-kstring-2+default-dev,
  librust-libc-0.2+default-dev,
  librust-libloading-0.8+default-dev,
  librust-log-0.4+default-dev,
  librust-nucleo-0.5+default-dev,
+ librust-once-cell-1+alloc-dev,
  librust-once-cell-1+default-dev,
+ librust-once-cell-1+std-dev,
  librust-open-5+default-dev,
  librust-parking-lot-0.12+default-dev,
- librust-pulldown-cmark-dev (>= 0.10),
+ librust-pretty-assertions-1+default-dev,
+ librust-pulldown-cmark-0.13+default-dev,
  librust-quickcheck-1-dev,
  librust-regex-1+default-dev,
- librust-regex-cursor-0.1+default-dev,
+ librust-regex-cursor-0.1+default-dev (>= 0.1.5),
  librust-ropey-1+simd-dev,
- librust-rustix-0.38+default-dev,
- librust-rustix-0.38+fs-dev,
+ librust-rustix-1+default-dev,
+ librust-rustix-1+fs-dev,
+ librust-ruzstd-0.7+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-json-1+default-dev,
+ librust-sha1-0.10+default-dev,
  librust-signal-hook-0.3+default-dev,
  librust-signal-hook-tokio+futures-v0-3-dev,
+ librust-slab-0.4+default-dev,
  librust-slotmap-1+default-dev,
  librust-smallvec-1+default-dev,
  librust-smartstring-1+default-dev,
@@ -65,7 +72,7 @@
  librust-tempfile-3+default-dev,
  librust-termini-1+default-dev,
  librust-textwrap-0.16+default-dev,
- librust-thiserror-dev (<< 3),
+ librust-thiserror-2+default-dev,
  librust-threadpool-1+default-dev,
  librust-tokio-1+default-dev,
  librust-tokio-1+fs-dev,
@@ -81,12 +88,13 @@
  librust-tokio-1+time-dev,
  librust-tokio-stream-0.1+default-dev,
  librust-toml-0.8+default-dev,
- librust-tree-sitter-0.22+default-dev,
- librust-unicode-general-category-dev (<< 2),
+ librust-unicode-general-category-1+default-dev,
  librust-unicode-segmentation-1+default-dev,
  librust-unicode-width-0.1+default-dev,
  librust-url-2+default-dev,
- librust-which-dev (<< 9),
+ librust-walkdir-2+default-dev,
+ librust-which-8+default-dev,
+ libstd-rust-dev,
 Standards-Version: 4.7.2
 Homepage: https://helix-editor.com/
 Vcs-Git: https://salsa.debian.org/debian/hx.git
