=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,8 @@
 	cp contrib/completion/hx.zsh debian/build/_hx
 
 # build manpages
+# set XDG_CACHE_HOME to make build reproducible (bug#1100016)
+debian/hx.1: XDG_CACHE_HOME = /home/\$USER/.cache
 debian/hx.1: debian/%.1: debian/hx/usr/bin/%
 	mkdir --parents $(dir $@)
 	help2man --section 1 --no-info \
