=== debian/watch ===
version: 5
Version-Schema: group
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: helix-editor
Project: helix

Component: Xtree-house
Source: https://github.com/helix-editor/tree-house.git
Matching-Pattern: HEAD
Mode: git
Pretty: 0.3.0+%cd
