## hx 25.07.1+~0.3.0+20251022

=== debian/changelog ===
hx (25.07.1+~0.3.0+20251022-1) unstable; urgency=medium

  [ upstream ]
  * New development snapshot of embedded workspace tree-house

  [ Jonas Smedegaard ]
  * drop patches 2002_crossterm 2002_fern,
    obsoleted by Debian packaging changes;
    tighten build-dependencies for crates crossterm fern
  * update copyright info: update coverage
  * build-depend on package for crate tree-sitter-language

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Dec 2025 08:34:42 +0100
