=== debian/control ===
--- 
+++ 
@@ -17,11 +17,12 @@
  librust-chrono-0.4+clock-dev,
  librust-chrono-0.4+std-dev,
  librust-content-inspector-0.2+default-dev,
- librust-crossterm-dev (<< 0.29),
+ librust-crossterm-0.28+default-dev,
+ librust-crossterm-0.28+event-stream-dev,
  librust-dunce-1+default-dev,
  librust-encoding-rs-0.8+default-dev,
  librust-etcetera-0.10+default-dev,
- librust-fern-dev (<< 0.8),
+ librust-fern-0.7+default-dev,
  librust-foldhash-0.2+default-dev,
  librust-futures-executor-0.3+default-dev,
  librust-futures-util-0.3+async-await-dev,
@@ -88,6 +89,7 @@
  librust-tokio-1+time-dev,
  librust-tokio-stream-0.1+default-dev,
  librust-toml-0.8+default-dev,
+ librust-tree-sitter-language-0.1+default-dev,
  librust-unicode-general-category-1+default-dev,
  librust-unicode-segmentation-1+default-dev,
  librust-unicode-width-0.1+default-dev,
