## hx 25.07.1+20251207+~0.1.1+~0.3.0+20251022

=== debian/changelog ===
hx (25.07.1+20251207+~0.1.1+~0.3.0+20251022-1) unstable; urgency=medium

  [ upstream ]
  * new development snapshot

  [ Jonas Smedegaard ]
  * update watch file: track git commits (not released tags)
  * track and embed crate termina
  * update and unfuzz patches
  * build-depend on packages for crates dashmap grep-matcher;
    tighten build-dependencies for crate rustix;
    stop build-depend on packages for crate crossterm
  * update copyright info: update coverage
  * tighten source helper script copyright-check
  * add patch 2006 to avoid tests failing with optimized build;
    see bug#1120257, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Dec 2025 13:43:48 +0100
