=== debian/control ===
--- 
+++ 
@@ -17,8 +17,7 @@
  librust-chrono-0.4+clock-dev,
  librust-chrono-0.4+std-dev,
  librust-content-inspector-0.2+default-dev,
- librust-crossterm-0.28+default-dev,
- librust-crossterm-0.28+event-stream-dev,
+ librust-dashmap-6+default-dev,
  librust-dunce-1+default-dev,
  librust-encoding-rs-0.8+default-dev,
  librust-etcetera-0.10+default-dev,
@@ -33,6 +32,7 @@
  librust-globset-0.4+default-dev,
  librust-grep-regex-0.1+default-dev,
  librust-grep-searcher-0.1+default-dev,
+ librust-grep-matcher-0.1+default-dev,
  librust-hashbrown-0.16+default-dev,
  librust-ignore-0.4+default-dev,
  librust-imara-diff-0.1+default-dev,
@@ -57,7 +57,11 @@
  librust-regex-cursor-0.1+default-dev (>= 0.1.5),
  librust-ropey-1+simd-dev,
  librust-rustix-1+default-dev,
+ librust-rustix-1+event-dev,
  librust-rustix-1+fs-dev,
+ librust-rustix-1+std-dev,
+ librust-rustix-1+stdio-dev,
+ librust-rustix-1+termios-dev,
  librust-ruzstd-0.7+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
