## hx 25.07.1+20251230+~0.1.1+~0.3.0+20251022

=== debian/changelog ===
hx (25.07.1+20251230+~0.1.1+~0.3.0+20251022-1) unstable; urgency=medium

  [ upstream ]
  * new development snapshot

  [ Jonas Smedegaard ]
  * update and unfuzz patches;
    bump build-dependency for crate toml_edit
  * tighten build-dependencies for crate rustix
  * stop declare superfluous fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 31 Dec 2025 09:46:11 +0100
