=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: hx
 Section: editors
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  debhelper-compat (= 13),
@@ -62,6 +61,7 @@
  librust-rustix-1+std-dev,
  librust-rustix-1+stdio-dev,
  librust-rustix-1+termios-dev,
+ librust-rustix-1+thread-dev,
  librust-ruzstd-0.7+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
@@ -92,7 +92,7 @@
  librust-tokio-1+sync-dev,
  librust-tokio-1+time-dev,
  librust-tokio-stream-0.1+default-dev,
- librust-toml-0.8+default-dev,
+ librust-toml-0.9+default-dev,
  librust-tree-sitter-language-0.1+default-dev,
  librust-unicode-general-category-1+default-dev,
  librust-unicode-segmentation-1+default-dev,
@@ -101,11 +101,10 @@
  librust-walkdir-2+default-dev,
  librust-which-8+default-dev,
  libstd-rust-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://helix-editor.com/
 Vcs-Git: https://salsa.debian.org/debian/hx.git
 Vcs-Browser: https://salsa.debian.org/debian/hx
-Rules-Requires-Root: no
 
 Package: hx
 Architecture: any
