=== debian/watch ===
--- 
+++ 
@@ -3,9 +3,15 @@
 # check: uscan --report
 # update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan
 
+Source: https://github.com/helix-editor/helix.git
+Matching-Pattern: HEAD
+Mode: git
+Pretty: 25.07.1+%cd
+
+Component: Xtermina
 Template: Github
 Owner: helix-editor
-Project: helix
+Project: termina
 
 Component: Xtree-house
 Source: https://github.com/helix-editor/tree-house.git
